## org.junit.runner
Class Result

    java.lang.Object
      org.junit.runner.Result

All Implemented Interfaces:
  Serializable

    public class Result

extends Object
implements Serializable

A `Result` collects and summarizes information from running multiple tests. All tests are counted -- additional information is collected from tests that fail.

Since:
  4.0
See Also:
  Serialized Form

Constructor Summary
`Result()`

Method Summary
`RunListener` `createListener()` Internal use only.
`int` `getAssumptionFailureCount()` Returns the number of tests skipped because of an assumption failure
`int` `getFailureCount()` Returns the number of tests that failed during the run
`List<Failure>` `getFailures()` Returns the `Failure`s describing tests that failed and the problems they encountered
`int` `getIgnoreCount()`
`int` `getRunCount()` Returns the number of tests run
`long` `getRunTime()` Returns the number of milliseconds it took to run the entire suite to run
`boolean` `wasSuccessful()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Result

    public Result()

Method Detail

### getRunCount

    public int getRunCount()

  Returns the number of tests run

### getFailureCount

    public int getFailureCount()

  Returns the number of tests that failed during the run

### getRunTime

    public long getRunTime()

  Returns the number of milliseconds it took to run the entire suite to run

### getFailures

    public List<Failure> getFailures()

  Returns the `Failure`s describing tests that failed and the problems they encountered

### getIgnoreCount

    public int getIgnoreCount()

  Returns:
    the number of tests ignored during the run

### getAssumptionFailureCount

    public int getAssumptionFailureCount()

  Returns the number of tests skipped because of an assumption failure

  Throws:
    `UnsupportedOperationException` - if the result was serialized in a version before JUnit 4.13
  Since:
    4.13

### wasSuccessful

    public boolean wasSuccessful()

  Returns:
    `true` if all tests succeeded

### createListener

    public RunListener createListener()

  Internal use only.

Copyright © 2002–2020 JUnit. All rights reserved.